EXPM1(3)

NAME
expm1, log1p - exponential minus 1, logarithm of 1 plus argument

SYNOPSIS
#include <math.h>

double expm1 ( double x );

double log1p ( double x );

DESCRIPTION
expm1(x) returns a value equivalent to `exp (x) - 1'. It is computed in a way that is accurate even if the value of x is near zero--a case where `exp (x) - 1' would be inaccurate due to subtraction of two numbers that are nearly equal.

log1p(x) returns a value equivalent to `log (1 + x)'. It is computed in a way that is accurate even if the value of x is near zero.

CONFORMING TO
BSD

SEE ALSO
exp(3), log(3)